use assetserver::Asset;
use maud::{Markup, html};

use crate::{
	components::{
		base::{BasePage, PageMetadata},
		md::Markdown,
		misc::Backlinks,
	},
	routes::assets::Image_Icon,
};

pub async fn links() -> Markup {
	let meta = PageMetadata {
		title: "Links".into(),
		author: Some("Mark".into()),
		description: None,
		image: Some(Image_Icon::URL.into()),
	};

	html! {
		(BasePage(
			meta,
			html!(
				(Backlinks(&[("/", "home")], "links"))
				(Markdown(include_str!("links.md")))
			)
		))
	}
}

/*
Dead links:

https://www.commitstrip.com/en/
http://www.3dprintmath.com/
*/
